tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ma...@apache.org
Subject svn commit: r1637073 - in /tomcat/tc6.0.x/trunk: STATUS.txt build.properties.default webapps/docs/changelog.xml
Date Thu, 06 Nov 2014 10:51:53 GMT
Author: markt
Date: Thu Nov  6 10:51:53 2014
New Revision: 1637073

URL: http://svn.apache.org/r1637073
Log:
Update to Tomcat Native Library version 1.1.32 to pick up the Windows binaries that are based
on OpenSSL 1.0.1j and APR 1.5.1.

Modified:
    tomcat/tc6.0.x/trunk/STATUS.txt
    tomcat/tc6.0.x/trunk/build.properties.default
    tomcat/tc6.0.x/trunk/webapps/docs/changelog.xml

Modified: tomcat/tc6.0.x/trunk/STATUS.txt
URL: http://svn.apache.org/viewvc/tomcat/tc6.0.x/trunk/STATUS.txt?rev=1637073&r1=1637072&r2=1637073&view=diff
==============================================================================
--- tomcat/tc6.0.x/trunk/STATUS.txt (original)
+++ tomcat/tc6.0.x/trunk/STATUS.txt Thu Nov  6 10:51:53 2014
@@ -96,17 +96,6 @@ PATCHES PROPOSED TO BACKPORT:
   			 did it that way.
   -1:
 
-* Update to Tomcat Native 1.1.32
-  I do not change versions in AprLifecycleListener. Changing
-  "recommended" version (TCN_RECOMMENDED_PV) is covered by schultz's BZ
-  53952 patch above and I think that there is no pressing need to change
-  the "required" version.
-  https://people.apache.org/~kkolinko/patches/2014-10-25_tc6_native1132.patch
-  +1: kkolinko, schultz, remm
-  +1: markt: I do see one reason for increasing the 'required' version. It would
-             allow 'ALL' to include TLSv1.1 and TLSv1.2
-  -1:
-
 
 PATCHES/ISSUES THAT ARE STALLED:
 

Modified: tomcat/tc6.0.x/trunk/build.properties.default
URL: http://svn.apache.org/viewvc/tomcat/tc6.0.x/trunk/build.properties.default?rev=1637073&r1=1637072&r2=1637073&view=diff
==============================================================================
--- tomcat/tc6.0.x/trunk/build.properties.default (original)
+++ tomcat/tc6.0.x/trunk/build.properties.default Thu Nov  6 10:51:53 2014
@@ -116,7 +116,7 @@ jdt.loc.1=http://archive.eclipse.org/ecl
 jdt.loc.2=http://download.eclipse.org/eclipse/downloads/drops4/${jdt.release}/ecj-${jdt.version}.jar
 
 # ----- Tomcat native library -----
-tomcat-native.version=1.1.30
+tomcat-native.version=1.1.32
 tomcat-native.home=${base.path}/tomcat-native-${tomcat-native.version}
 tomcat-native.tar.gz=${tomcat-native.home}/tomcat-native.tar.gz
 tomcat-native.loc.1=${base-tomcat.loc.1}/tomcat-connectors/native/${tomcat-native.version}/source/tomcat-native-${tomcat-native.version}-src.tar.gz

Modified: tomcat/tc6.0.x/trunk/webapps/docs/changelog.xml
URL: http://svn.apache.org/viewvc/tomcat/tc6.0.x/trunk/webapps/docs/changelog.xml?rev=1637073&r1=1637072&r2=1637073&view=diff
==============================================================================
--- tomcat/tc6.0.x/trunk/webapps/docs/changelog.xml (original)
+++ tomcat/tc6.0.x/trunk/webapps/docs/changelog.xml Thu Nov  6 10:51:53 2014
@@ -79,6 +79,11 @@
         Update documentation: the minimum version of Apache Ant required to
         build Tomcat is 1.8.0. (kkolinko)
       </fix>
+      <update>
+        <bug>56596</bug>: Update to Tomcat Native Library version 1.1.32 to
+        pick up the Windows binaries that are based on OpenSSL 1.0.1j and APR
+        1.5.1. (markt)
+      </update>
     </changelog>
   </subsection>
 </section>



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message